import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { ButtonSize, ButtonState, ButtonType } from './uitk-button-attributes';
export declare class Button {
    buttonType: ButtonType;
    buttonSize: ButtonSize;
    buttonState: ButtonState;
    /**
     * The label to show on the button
     */
    id: string;
    /**
     * The label to show on the button
     */
    label: string;
    /**
     * Action, SubAction, TextAction, TextSubAction, Utility, Add
     */
    type: string;
    size: string;
    state: string;
    uitkClick: EventEmitter;
    handleClick(args: any): void;
    componentWillLoad(): void;
    getClass(): string;
    typeDidChangeHandler(): void;
    sizeDidChangeHandler(): void;
    stateDidChangeHandler(): void;
    warnIncorrectValue(propName: string, unrecognizedValue: String, currentValue: any, enumType: any): void;
    render(): JSX.Element;
}
